Index: trunk/lib/FlairFilter/src/TrajectoryGenerator2DCircle.h
===================================================================
--- trunk/lib/FlairFilter/src/TrajectoryGenerator2DCircle.h	(revision 14)
+++ trunk/lib/FlairFilter/src/TrajectoryGenerator2DCircle.h	(revision 15)
@@ -16,144 +16,140 @@
 #include <IODevice.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class cvmatrix;
-        class Vector2D;
-    }
-    namespace gui
-    {
-        class LayoutPosition;
-    }
+namespace flair {
+namespace core {
+class cvmatrix;
+class Vector2D;
+}
+namespace gui {
+class LayoutPosition;
+}
 }
 
 class TrajectoryGenerator2DCircle_impl;
 
-namespace flair
-{
-namespace filter
-{
-    /*! \class TrajectoryGenerator2DCircle
-    *
-    * \brief Class generating a circle trajectory in 2D
-    *
-    * This class generates position and velocity references, given
-    * a maximum velocity and an absolute acceleration, for a circle. \n
-    * When trajectory is started (StartTraj), position and velocity will increase
-    * at the given acceleration untill maximum velocity is reached. \n
-    * When trajectory is asked to be finished (see FinishTraj()), position
-    * and velocity will decrease at the given acceleration untill null velocity is reached. \n
-    * Position and velocity of the center of the circle can be manually changed
-    * through SetCenter() and SetCenterSpeed().
-    */
-    class TrajectoryGenerator2DCircle : public core::IODevice
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a TrajectoryGenerator2DCircle at position. \n
-            * The TrajectoryGenerator2DCircle will automatically be child of position->getLayout() Layout. After calling this function,
-            * position will be deleted as it is no longer usefull. \n
-            *
-            * \param position position to display settings
-            * \param name name
-            */
-            TrajectoryGenerator2DCircle(const gui::LayoutPosition* position,std::string name);
+namespace flair {
+namespace filter {
+/*! \class TrajectoryGenerator2DCircle
+*
+* \brief Class generating a circle trajectory in 2D
+*
+* This class generates position and velocity references, given
+* a maximum velocity and an absolute acceleration, for a circle. \n
+* When trajectory is started (StartTraj), position and velocity will increase
+* at the given acceleration untill maximum velocity is reached. \n
+* When trajectory is asked to be finished (see FinishTraj()), position
+* and velocity will decrease at the given acceleration untill null velocity is
+*reached. \n
+* Position and velocity of the center of the circle can be manually changed
+* through SetCenter() and SetCenterSpeed().
+*/
+class TrajectoryGenerator2DCircle : public core::IODevice {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a TrajectoryGenerator2DCircle at position. \n
+  * The TrajectoryGenerator2DCircle will automatically be child of
+  *position->getLayout() Layout. After calling this function,
+  * position will be deleted as it is no longer usefull. \n
+  *
+  * \param position position to display settings
+  * \param name name
+  */
+  TrajectoryGenerator2DCircle(const gui::LayoutPosition *position,
+                              std::string name);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~TrajectoryGenerator2DCircle();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~TrajectoryGenerator2DCircle();
 
-            /*!
-            * \brief Start trajectory
-            *
-            * \param start_pos start position
-            * \param nb_lap number of laps, -1 for infinite
-            */
-            void StartTraj(const core::Vector2D &start_pos,float nb_lap=-1);
+  /*!
+  * \brief Start trajectory
+  *
+  * \param start_pos start position
+  * \param nb_lap number of laps, -1 for infinite
+  */
+  void StartTraj(const core::Vector2D &start_pos, float nb_lap = -1);
 
-            /*!
-            * \brief Stop trajectory
-            *
-            * Stop abruptly the trajectory.
-            */
-            void StopTraj(void);
+  /*!
+  * \brief Stop trajectory
+  *
+  * Stop abruptly the trajectory.
+  */
+  void StopTraj(void);
 
-            /*!
-            * \brief Finish trajectory
-            *
-            * Finish smoothly the trajectory.
-            */
-            void FinishTraj(void);
+  /*!
+  * \brief Finish trajectory
+  *
+  * Finish smoothly the trajectory.
+  */
+  void FinishTraj(void);
 
-            /*!
-            * \brief Set center position
-            *
-            * \param value center position
-            */
-            void SetCenter(const core::Vector2D &value);
+  /*!
+  * \brief Set center position
+  *
+  * \param value center position
+  */
+  void SetCenter(const core::Vector2D &value);
 
-            /*!
-            * \brief Set center speed
-            *
-            * \param value center speed
-            */
-            void SetCenterSpeed(const core::Vector2D &value);
+  /*!
+  * \brief Set center speed
+  *
+  * \param value center speed
+  */
+  void SetCenterSpeed(const core::Vector2D &value);
 
-            /*!
-            * \brief Update using provided datas
-            *
-            * Uses values specified by StartTraj(),
-            * SetCenter() and SetCenterSpeed().
-            *
-            * \param time time of the update
-            */
-            void Update(core::Time time);
+  /*!
+  * \brief Update using provided datas
+  *
+  * Uses values specified by StartTraj(),
+  * SetCenter() and SetCenterSpeed().
+  *
+  * \param time time of the update
+  */
+  void Update(core::Time time);
 
-            /*!
-            * \brief Position
-            *
-            * \param point returned position
-            */
-            void GetPosition(core::Vector2D &point) const;
+  /*!
+  * \brief Position
+  *
+  * \param point returned position
+  */
+  void GetPosition(core::Vector2D &point) const;
 
-            /*!
-            * \brief Speed
-            *
-            * \param point returned speed
-            */
-            void GetSpeed(core::Vector2D &point) const;
+  /*!
+  * \brief Speed
+  *
+  * \param point returned speed
+  */
+  void GetSpeed(core::Vector2D &point) const;
 
-            /*!
-            * \brief Output matrix
-            *
-            * \return matrix
-            */
-            core::cvmatrix *Matrix(void) const;
+  /*!
+  * \brief Output matrix
+  *
+  * \return matrix
+  */
+  core::cvmatrix *Matrix(void) const;
 
-            /*!
-            * \brief Is trajectory running?
-            *
-            * \return true if trajectory is running
-            */
-            bool IsRunning(void) const;
+  /*!
+  * \brief Is trajectory running?
+  *
+  * \return true if trajectory is running
+  */
+  bool IsRunning(void) const;
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice. Nothing to do in this IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data){};
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice. Nothing to do in this IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data){};
 
-            TrajectoryGenerator2DCircle_impl* pimpl_;
-
-    };
+  TrajectoryGenerator2DCircle_impl *pimpl_;
+};
 } // end namespace filter
 } // end namespace flair
Index: trunk/lib/FlairFilter/src/TrajectoryGenerator2DCircle_impl.cpp
===================================================================
--- trunk/lib/FlairFilter/src/TrajectoryGenerator2DCircle_impl.cpp	(revision 14)
+++ trunk/lib/FlairFilter/src/TrajectoryGenerator2DCircle_impl.cpp	(revision 15)
@@ -31,125 +31,141 @@
 using namespace flair::filter;
 
-TrajectoryGenerator2DCircle_impl::TrajectoryGenerator2DCircle_impl(TrajectoryGenerator2DCircle* self,const LayoutPosition* position,string name) {
-    first_update=true;
-    is_running=false;
-    is_finishing=false;
+TrajectoryGenerator2DCircle_impl::TrajectoryGenerator2DCircle_impl(
+    TrajectoryGenerator2DCircle *self, const LayoutPosition *position,
+    string name) {
+  first_update = true;
+  is_running = false;
+  is_finishing = false;
 
-    //init UI
-   GroupBox* reglages_groupbox=new GroupBox(position,name);
-        T=new DoubleSpinBox(reglages_groupbox->NewRow(),"period, 0 for auto"," s",0,1,0.01);
-        rayon=new DoubleSpinBox(reglages_groupbox->LastRowLastCol(),"R"," m",0,1000,.1);
-        veloctity=new DoubleSpinBox(reglages_groupbox->LastRowLastCol(),"velocity"," m/s",-10,10,1);
-        acceleration=new DoubleSpinBox(reglages_groupbox->LastRowLastCol(),"acceleration (absolute)"," m/s²",0,10,.1);
+  // init UI
+  GroupBox *reglages_groupbox = new GroupBox(position, name);
+  T = new DoubleSpinBox(reglages_groupbox->NewRow(), "period, 0 for auto", " s",
+                        0, 1, 0.01);
+  rayon = new DoubleSpinBox(reglages_groupbox->LastRowLastCol(), "R", " m", 0,
+                            1000, .1);
+  veloctity = new DoubleSpinBox(reglages_groupbox->LastRowLastCol(), "velocity",
+                                " m/s", -10, 10, 1);
+  acceleration =
+      new DoubleSpinBox(reglages_groupbox->LastRowLastCol(),
+                        "acceleration (absolute)", " m/s²", 0, 10, .1);
 
-    //init matrix
-    cvmatrix_descriptor* desc=new cvmatrix_descriptor(2,2);
-    desc->SetElementName(0,0,"pos.x");
-    desc->SetElementName(0,1,"pos.y");
-    desc->SetElementName(1,0,"vel.x");
-    desc->SetElementName(1,1,"vel.y");
-    output=new cvmatrix(self,desc,floatType,name);
+  // init matrix
+  cvmatrix_descriptor *desc = new cvmatrix_descriptor(2, 2);
+  desc->SetElementName(0, 0, "pos.x");
+  desc->SetElementName(0, 1, "pos.y");
+  desc->SetElementName(1, 0, "vel.x");
+  desc->SetElementName(1, 1, "vel.y");
+  output = new cvmatrix(self, desc, floatType, name);
 
-    output->SetValue(0,0,0);
-    output->SetValue(0,1,0);
-    output->SetValue(1,0,0);
-    output->SetValue(1,1,0);
+  output->SetValue(0, 0, 0);
+  output->SetValue(0, 1, 0);
+  output->SetValue(1, 0, 0);
+  output->SetValue(1, 1, 0);
 }
 
-
 TrajectoryGenerator2DCircle_impl::~TrajectoryGenerator2DCircle_impl() {
-    delete output;
+  delete output;
 }
 
-void TrajectoryGenerator2DCircle_impl::StartTraj(const Vector2D &start_pos,float nb_lap) {
-    is_running=true;
-    first_update=true;
-    is_finishing=false;
-    this->nb_lap=nb_lap;
+void TrajectoryGenerator2DCircle_impl::StartTraj(const Vector2D &start_pos,
+                                                 float nb_lap) {
+  is_running = true;
+  first_update = true;
+  is_finishing = false;
+  this->nb_lap = nb_lap;
 
-    //configure trajectory
-    angle_off=atan2(start_pos.y-pos_off.y,start_pos.x-pos_off.x);
-    CurrentTime=0;
+  // configure trajectory
+  angle_off = atan2(start_pos.y - pos_off.y, start_pos.x - pos_off.x);
+  CurrentTime = 0;
 }
 
 void TrajectoryGenerator2DCircle_impl::FinishTraj(void) {
-    if(!is_finishing) {
-        is_finishing=true;
-        FinishTime=CurrentTime;
-    }
+  if (!is_finishing) {
+    is_finishing = true;
+    FinishTime = CurrentTime;
+  }
 }
 
 void TrajectoryGenerator2DCircle_impl::Update(Time time) {
-    float delta_t;
-    float theta;
-    float V=veloctity->Value();
-    float A=acceleration->Value();
-    float R=rayon->Value();
-    Vector2D v;
+  float delta_t;
+  float theta;
+  float V = veloctity->Value();
+  float A = acceleration->Value();
+  float R = rayon->Value();
+  Vector2D v;
 
-    if(V<0) A=-A;
+  if (V < 0)
+    A = -A;
 
-    if(T->Value()==0) {
-        if(first_update) {
-            first_update=false;
-            previous_time=time;
-            return;
+  if (T->Value() == 0) {
+    if (first_update) {
+      first_update = false;
+      previous_time = time;
+      return;
+    } else {
+      delta_t = (float)(time - previous_time) / 1000000000.;
+    }
+  } else {
+    delta_t = T->Value();
+  }
+  previous_time = time;
+  CurrentTime += delta_t;
+
+  if (is_finishing && CurrentTime > FinishTime + V / A)
+    is_running = false;
+
+  if (is_running) {
+    if (R == 0) {
+      pos.x = 0;
+      pos.y = 0;
+      v.x = 0;
+      v.y = 0;
+    } else {
+      if (CurrentTime < V / A) {
+        theta = angle_off + A / 2 * CurrentTime * CurrentTime / R;
+        pos.x = R * cos(theta);
+        pos.y = R * sin(theta);
+        v.x = -A * CurrentTime * sin(theta);
+        v.y = A * CurrentTime * cos(theta);
+      } else {
+        if (!is_finishing) {
+          theta =
+              angle_off + V * V / (2 * A * R) + (CurrentTime - V / A) * V / R;
+          pos.x = R * cos(theta);
+          pos.y = R * sin(theta);
+          v.x = -V * sin(theta);
+          v.y = V * cos(theta);
         } else {
-            delta_t=(float)(time-previous_time)/1000000000.;
+          theta = angle_off + V * V / (2 * A * R) +
+                  (FinishTime - V / A) * V / R -
+                  A / 2 * (FinishTime - CurrentTime) *
+                      (FinishTime - CurrentTime) / R +
+                  V * (CurrentTime - FinishTime) / R;
+          pos.x = R * cos(theta);
+          pos.y = R * sin(theta);
+          v.x = -(V + A * (FinishTime - CurrentTime)) * sin(theta);
+          v.y = (V + A * (FinishTime - CurrentTime)) * cos(theta);
         }
-    } else {
-        delta_t=T->Value();
-    }
-    previous_time=time;
-    CurrentTime+=delta_t;
-
-    if(is_finishing && CurrentTime>FinishTime+V/A) is_running=false;
-
-    if(is_running) {
-        if(R==0) {
-            pos.x=0;
-            pos.y=0;
-            v.x=0;
-            v.y=0;
-        } else {
-            if(CurrentTime<V/A) {
-                theta=angle_off+A/2*CurrentTime*CurrentTime/R;
-                pos.x=R*cos(theta);
-                pos.y=R*sin(theta);
-                v.x=-A*CurrentTime*sin(theta);
-                v.y=A*CurrentTime*cos(theta);
-            } else {
-                if(!is_finishing) {
-                    theta=angle_off+V*V/(2*A*R)+(CurrentTime-V/A)*V/R;
-                    pos.x=R*cos(theta);
-                    pos.y=R*sin(theta);
-                    v.x=-V*sin(theta);
-                    v.y=V*cos(theta);
-                } else {
-                    theta=angle_off+V*V/(2*A*R)+(FinishTime-V/A)*V/R-A/2*(FinishTime-CurrentTime)*(FinishTime-CurrentTime)/R+V*(CurrentTime-FinishTime)/R;
-                    pos.x=R*cos(theta);
-                    pos.y=R*sin(theta);
-                    v.x=-(V+A*(FinishTime-CurrentTime))*sin(theta);
-                    v.y=(V+A*(FinishTime-CurrentTime))*cos(theta);
-                }
-            }
-        }
-
-        if(theta-angle_off>=nb_lap*2*PI-(-A/2*(V/A)*(V/A)/R+V*(V/A)/R) && nb_lap>0) {
-            FinishTraj();
-        }
-    } else {
-        v.x=0;
-        v.y=0;
+      }
     }
 
-    //on prend une fois pour toute les mutex et on fait des accès directs
-    output->GetMutex();
-    output->SetValueNoMutex(0,0,pos.x+pos_off.x);
-    output->SetValueNoMutex(0,1,pos.y+pos_off.y);
-    output->SetValueNoMutex(1,0,v.x+vel_off.x);
-    output->SetValueNoMutex(1,1,v.y+vel_off.y);
-    output->ReleaseMutex();
+    if (theta - angle_off >= nb_lap * 2 * PI - (-A / 2 * (V / A) * (V / A) / R +
+                                                V * (V / A) / R) &&
+        nb_lap > 0) {
+      FinishTraj();
+    }
+  } else {
+    v.x = 0;
+    v.y = 0;
+  }
 
-    output->SetDataTime(time);
+  // on prend une fois pour toute les mutex et on fait des accès directs
+  output->GetMutex();
+  output->SetValueNoMutex(0, 0, pos.x + pos_off.x);
+  output->SetValueNoMutex(0, 1, pos.y + pos_off.y);
+  output->SetValueNoMutex(1, 0, v.x + vel_off.x);
+  output->SetValueNoMutex(1, 1, v.y + vel_off.y);
+  output->ReleaseMutex();
+
+  output->SetDataTime(time);
 }
Index: trunk/lib/FlairFilter/src/UavMultiplex.cpp
===================================================================
--- trunk/lib/FlairFilter/src/UavMultiplex.cpp	(revision 14)
+++ trunk/lib/FlairFilter/src/UavMultiplex.cpp	(revision 15)
@@ -27,88 +27,64 @@
 using namespace flair::gui;
 
-namespace flair
-{
-namespace filter
-{
+namespace flair {
+namespace filter {
 
-UavMultiplex::UavMultiplex(const core::FrameworkManager* parent,std::string name) : IODevice(parent,name)
-{
-    pimpl_=new UavMultiplex_impl(parent,this,name);
+UavMultiplex::UavMultiplex(const core::FrameworkManager *parent,
+                           std::string name)
+    : IODevice(parent, name) {
+  pimpl_ = new UavMultiplex_impl(parent, this, name);
 }
 
-UavMultiplex::~UavMultiplex(void)
-{
-    delete pimpl_;
+UavMultiplex::~UavMultiplex(void) { delete pimpl_; }
+
+void UavMultiplex::Update(core::Time time) {
+  pimpl_->input->SetDataTime(time);
+  UpdateFrom(pimpl_->input);
 }
 
-void UavMultiplex::Update(core::Time time)
-{
-    pimpl_->input->SetDataTime(time);
-    UpdateFrom(pimpl_->input);
+void UavMultiplex::SetMultiplexComboBox(string name, int index) {
+  pimpl_->SetMultiplexComboBox(name, index);
 }
 
-void UavMultiplex::SetMultiplexComboBox(string name,int index)
-{
-    pimpl_->SetMultiplexComboBox(name,index);
+int UavMultiplex::MultiplexValue(int index) const {
+  return pimpl_->MultiplexValue(index);
 }
 
-int UavMultiplex::MultiplexValue(int index) const
-{
-    return pimpl_->MultiplexValue(index);
+TabWidget *UavMultiplex::GetTabWidget(void) const { return pimpl_->tabwidget; }
+
+Layout *UavMultiplex::GetLayout(void) const { return pimpl_->setup_tab; }
+
+void UavMultiplex::LockUserInterface(void) const {
+  pimpl_->setup_tab->setEnabled(false);
 }
 
-TabWidget* UavMultiplex::GetTabWidget(void) const
-{
-    return pimpl_->tabwidget;
+void UavMultiplex::UnlockUserInterface(void) const {
+  pimpl_->setup_tab->setEnabled(true);
 }
 
-Layout* UavMultiplex::GetLayout(void) const
-{
-    return pimpl_->setup_tab;
+void UavMultiplex::SetRoll(float value) {
+  pimpl_->input->SetValue(0, 0, value);
 }
 
-void UavMultiplex::LockUserInterface(void) const
-{
-    pimpl_->setup_tab->setEnabled(false);
+void UavMultiplex::SetPitch(float value) {
+  pimpl_->input->SetValue(1, 0, value);
 }
 
-void UavMultiplex::UnlockUserInterface(void) const
-{
-    pimpl_->setup_tab->setEnabled(true);
+void UavMultiplex::SetYaw(float value) { pimpl_->input->SetValue(2, 0, value); }
+
+void UavMultiplex::SetThrust(float value) {
+  pimpl_->input->SetValue(3, 0, value);
 }
 
-void UavMultiplex::SetRoll(float value)
-{
-    pimpl_->input->SetValue(0,0,value);
+void UavMultiplex::SetRollTrim(float value) {
+  pimpl_->input->SetValue(4, 0, value);
 }
 
-void UavMultiplex::SetPitch(float value)
-{
-    pimpl_->input->SetValue(1,0,value);
+void UavMultiplex::SetPitchTrim(float value) {
+  pimpl_->input->SetValue(5, 0, value);
 }
 
-void UavMultiplex::SetYaw(float value)
-{
-    pimpl_->input->SetValue(2,0,value);
-}
-
-void UavMultiplex::SetThrust(float value)
-{
-    pimpl_->input->SetValue(3,0,value);
-}
-
-void UavMultiplex::SetRollTrim(float value)
-{
-    pimpl_->input->SetValue(4,0,value);
-}
-
-void UavMultiplex::SetPitchTrim(float value)
-{
-    pimpl_->input->SetValue(5,0,value);
-}
-
-void UavMultiplex::SetYawTrim(float value)
-{
-    pimpl_->input->SetValue(6,0,value);
+void UavMultiplex::SetYawTrim(float value) {
+  pimpl_->input->SetValue(6, 0, value);
 }
 
Index: trunk/lib/FlairFilter/src/UavMultiplex.h
===================================================================
--- trunk/lib/FlairFilter/src/UavMultiplex.h	(revision 14)
+++ trunk/lib/FlairFilter/src/UavMultiplex.h	(revision 15)
@@ -17,207 +17,202 @@
 #include <stdint.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class FrameworkManager;
-        class io_data;
-    }
-    namespace gui
-    {
-        class TabWidget;
-        class Layout;
-    }
+namespace flair {
+namespace core {
+class FrameworkManager;
+class io_data;
 }
+namespace gui {
+class TabWidget;
+class Layout;
+}
+}
 
 class UavMultiplex_impl;
 
-namespace flair
-{
-namespace filter
-{
-    /*! \class UavMultiplex
-    *
-    * \brief Class defining uav multiplexing
-    */
-    class UavMultiplex : public core::IODevice
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a uav multiplexing
-            *
-            * \param parent parent
-            * \param name name
-            */
-            UavMultiplex(const core::FrameworkManager* parent,std::string name);
-
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~UavMultiplex();
-
-            /*!
-            * \brief Set roll torque
-            *
-            * roll torque is placed in input(0,0)
-            *
-            * \param value value between -1 and 1
-            */
-            void SetRoll(float value);
-
-            /*!
-            * \brief Set pitch torque
-            *
-            * pitch torque is placed in input(1,0)
-            *
-            * \param value value between -1 and 1
-            */
-            void SetPitch(float value);
-
-            /*!
-            * \brief Set yaw torque
-            *
-            * yaw torque is placed in input(2,0)
-            *
-            * \param value value between -1 and 1
-            */
-            void SetYaw(float value);
-
-            /*!
-            * \brief Set thrust
-            *
-            * thrust is placed in input(3,0)
-            *
-            * \param value value between 0 and 1
-            */
-            void SetThrust(float value);
-
-            /*!
-            * \brief Set roll trim
-            *
-            * trim is placed in input(4,0)
-            *
-            * \param value value
-            */
-            void SetRollTrim(float value);
-
-            /*!
-            * \brief Set pitch trim
-            *
-            * trim is placed in input(5,0)
-            *
-            * \param value value
-            */
-            void SetPitchTrim(float value);
-
-            /*!
-            * \brief Set yaw trim
-            *
-            * trim is placed in input(6,0)
-            *
-            * \param value value
-            */
-            void SetYawTrim(float value);
-
-            /*!
-            * \brief Update using provided datas
-            *
-            * Uses values specified by Set*().
-            *
-            * \param time time of the update
-            */
-            void Update(core::Time time);
-
-            /*!
-            * \brief Lock user interface
-            *
-            * User interface will be grayed out.\n
-            * Use it do disallow changes when flying.
-            *
-            */
-            void LockUserInterface(void) const;
-
-            /*!
-            * \brief Unlock user interface
-            *
-            * User interface will be enabled.\n
-            *
-            */
-            void UnlockUserInterface(void) const;
-
-            /*!
-            * \brief Layout
-            *
-            * Layout to place custom widgets.\n
-            *
-            * \return the layout
-            */
-            gui::Layout* GetLayout(void) const;
-
-            /*!
-            * \brief Use default plot
-            *
-            * Derived class can implement this function do draw default plot.
-            *
-            */
-            virtual void UseDefaultPlot(void){};
-
-            /*!
-            * \brief Motors count
-            *
-            * This function must be reimplemented, in order to get the number of motors.
-            *
-            * \return motors count
-            */
-            virtual uint8_t MotorsCount(void) const=0;
-
-            /*!
-            * \brief Multiplex value
-            *
-            * Get the mutliplexed value of a motor, if SetMultiplexComboBox() was used.\n
-            *
-            * \param index index of the motor, from 0 to MotorsCount()
-            * \return multiplexed index of the motor
-            */
-            int MultiplexValue(int index) const;
-
-            /*!
-            * \brief Get TabWidget
-            *
-            * Usefull to add tabs.\n
-            *
-            * \return the TabWidget
-            */
-            gui::TabWidget* GetTabWidget(void) const;
-
-        protected:
-            /*!
-            * \brief Set multiplex ComboBox
-            *
-            * Draws a ComboBox to define motor multiplexing. \n
-            * This is used to change the order of the output motors.
-            *
-            * \param name description of the motor (ex front left)
-            * \param index index of the motor, from 0 to MotorsCount()
-            */
-            void SetMultiplexComboBox(std::string name,int index);
-
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * This function is automatically called by ProcessUpdate()
-            * of the Object::Parent's if its Object::ObjectType is "IODevice". \n
-            * This function must be reimplemented, in order to process the data from the parent.
-            *
-            * \param data data from the parent to process
-            */
-            virtual void UpdateFrom(const core::io_data *data)=0;
-
-            UavMultiplex_impl *pimpl_;
-    };
+namespace flair {
+namespace filter {
+/*! \class UavMultiplex
+*
+* \brief Class defining uav multiplexing
+*/
+class UavMultiplex : public core::IODevice {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a uav multiplexing
+  *
+  * \param parent parent
+  * \param name name
+  */
+  UavMultiplex(const core::FrameworkManager *parent, std::string name);
+
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~UavMultiplex();
+
+  /*!
+  * \brief Set roll torque
+  *
+  * roll torque is placed in input(0,0)
+  *
+  * \param value value between -1 and 1
+  */
+  void SetRoll(float value);
+
+  /*!
+  * \brief Set pitch torque
+  *
+  * pitch torque is placed in input(1,0)
+  *
+  * \param value value between -1 and 1
+  */
+  void SetPitch(float value);
+
+  /*!
+  * \brief Set yaw torque
+  *
+  * yaw torque is placed in input(2,0)
+  *
+  * \param value value between -1 and 1
+  */
+  void SetYaw(float value);
+
+  /*!
+  * \brief Set thrust
+  *
+  * thrust is placed in input(3,0)
+  *
+  * \param value value between 0 and 1
+  */
+  void SetThrust(float value);
+
+  /*!
+  * \brief Set roll trim
+  *
+  * trim is placed in input(4,0)
+  *
+  * \param value value
+  */
+  void SetRollTrim(float value);
+
+  /*!
+  * \brief Set pitch trim
+  *
+  * trim is placed in input(5,0)
+  *
+  * \param value value
+  */
+  void SetPitchTrim(float value);
+
+  /*!
+  * \brief Set yaw trim
+  *
+  * trim is placed in input(6,0)
+  *
+  * \param value value
+  */
+  void SetYawTrim(float value);
+
+  /*!
+  * \brief Update using provided datas
+  *
+  * Uses values specified by Set*().
+  *
+  * \param time time of the update
+  */
+  void Update(core::Time time);
+
+  /*!
+  * \brief Lock user interface
+  *
+  * User interface will be grayed out.\n
+  * Use it do disallow changes when flying.
+  *
+  */
+  void LockUserInterface(void) const;
+
+  /*!
+  * \brief Unlock user interface
+  *
+  * User interface will be enabled.\n
+  *
+  */
+  void UnlockUserInterface(void) const;
+
+  /*!
+  * \brief Layout
+  *
+  * Layout to place custom widgets.\n
+  *
+  * \return the layout
+  */
+  gui::Layout *GetLayout(void) const;
+
+  /*!
+  * \brief Use default plot
+  *
+  * Derived class can implement this function do draw default plot.
+  *
+  */
+  virtual void UseDefaultPlot(void){};
+
+  /*!
+  * \brief Motors count
+  *
+  * This function must be reimplemented, in order to get the number of motors.
+  *
+  * \return motors count
+  */
+  virtual uint8_t MotorsCount(void) const = 0;
+
+  /*!
+  * \brief Multiplex value
+  *
+  * Get the mutliplexed value of a motor, if SetMultiplexComboBox() was used.\n
+  *
+  * \param index index of the motor, from 0 to MotorsCount()
+  * \return multiplexed index of the motor
+  */
+  int MultiplexValue(int index) const;
+
+  /*!
+  * \brief Get TabWidget
+  *
+  * Usefull to add tabs.\n
+  *
+  * \return the TabWidget
+  */
+  gui::TabWidget *GetTabWidget(void) const;
+
+protected:
+  /*!
+  * \brief Set multiplex ComboBox
+  *
+  * Draws a ComboBox to define motor multiplexing. \n
+  * This is used to change the order of the output motors.
+  *
+  * \param name description of the motor (ex front left)
+  * \param index index of the motor, from 0 to MotorsCount()
+  */
+  void SetMultiplexComboBox(std::string name, int index);
+
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * This function is automatically called by ProcessUpdate()
+  * of the Object::Parent's if its Object::ObjectType is "IODevice". \n
+  * This function must be reimplemented, in order to process the data from the
+  *parent.
+  *
+  * \param data data from the parent to process
+  */
+  virtual void UpdateFrom(const core::io_data *data) = 0;
+
+  UavMultiplex_impl *pimpl_;
+};
 } // end namespace filter
 } // end namespace flair
